ISC BIND < 8.1.2 Inverse-Query Remote Overflow (deprecated)

Critical Nessus Network Monitor Plugin ID 1015

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote BIND server, according to its version number, is vulnerable to an inverse query overflow. An attacker may use this flaw to gain a root shell on this host.

Solution

Upgrade to BIND 8.1.2 or newer.

Plugin Details

Severity: Critical

ID: 1015

File Name: 1015.prm

Family: DNS Servers

Published: 2004/08/18

Modified: 2016/05/13

Dependencies: 1000

Nessus ID: 10329, 10728

Risk Information

Risk Factor: Critical

CVSSv2

Base Score: 10

Temporal Score: 8.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSSv3

Base Score: 9.8

Temporal Score: 9.4

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind:8

Reference Information

CVE: CVE-1999-0009

BID: 134

OSVDB: 913